myfaces-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Matthias Wessendorf" <mat...@apache.org>
Subject Re: [Trinidad] ValueExpression in 1.2 and ValueBinding in 1.1
Date Thu, 27 Sep 2007 20:32:28 GMT
Hi,

> My understanding is that Trinidad trunk cannot use ValueExpression.
> Is this true?

yes, the ValueExpression comes from the unified el, which is part of JSP 2.1

>
> If so, is it ok to have an API that takes ValueBinding in trunk and
> ValueExpression in 1.2*branch?
> In other words, does the 1.2* branch of Trinidad have to keep backward
> compatibility, thus I would have a deprecated constructor that takes
> ValueBinding and another constructor that takes ValueExpression.

I think doing the two constructors, where one takes VBinding and is
deprecated is OK.
JSF API itself also keeps the "old" methods for backward compatibility
and adds new APIs that
work w/ the javax.el clazzes

-M

>
>
> Thanks,
> Jeanne
>
>


-- 
Matthias Wessendorf

further stuff:
blog: http://matthiaswessendorf.wordpress.com/
mail: matzew-at-apache-dot-org

Mime
View raw message